Skip to main content
POST
/
v1
/
customers
Create a customer
curl --request POST \
  --url https://api.useplinth.com/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_ref": "user_12345",
  "name": "Acme Corp",
  "email": "billing@acme.ng",
  "phone": "+2348012345678"
}
'
{
  "object": "customer",
  "id": "cus_01JABC...",
  "external_ref": "user_12345",
  "name": "Acme Corp",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use sk_test_ keys for sandbox. Use sk_live_ keys for production. Obtain your key from the dashboard.

Body

application/json
external_ref
string
required

Your internal user ID. Must be unique per tenant.

Maximum string length: 200
Example:

"user_12345"

name
string
required
Maximum string length: 200
Example:

"Acme Corp"

email
string<email>
required
Example:

"billing@acme.ng"

phone
string
Maximum string length: 20
Example:

"+2348012345678"

Response

Customer created

object
enum<string>
Available options:
customer
id
string
Example:

"cus_01JABC..."

external_ref
string

Your own system's user ID. Use this to look up customers by your ID.

Example:

"user_12345"

name
string
Example:

"Acme Corp"

created_at
string<date-time>